//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TComboBox *ComboBox_BoardNo;
        TLabel *Label1;
        TLabel *Label2;
        TComboBox *ComboBox_BaudRate;
        TButton *Button1;
        TLabel *Label3;
        TEdit *Edit_Status;
        TButton *Button_ClearStatus;
        TButton *Button_Receive;
        TButton *Button_ClearList;
        TButton *Button_Exit;
        TTimer *Timer1;
        TMemo *Memo1;
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Button_ClearStatusClick(TObject *Sender);
        void __fastcall Button_ExitClick(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall Button_ClearListClick(TObject *Sender);
        void __fastcall Button_ReceiveClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
